Subject: [PATCH v5 3/7] ARM: dts: imx: Add Advantech BA-16 Qseven module

From: [email-masked] (Akshay Bhat)
Date: Wed, 23 Dec 2015 17:12:37 -0500

On 12/22/2015 09:31 PM, Shawn Guo wrote:
> On Tue, Dec 22, 2015 at 05:42:01PM -0500, Akshay Bhat wrote:
>>>> +&iomuxc {
>>>
>>> Suggest to put the iomuxc node at the bottom of the dts to make the read
>>> of this file a bit easier.
>>>
>> Will fix it
>>
>>>> +	pinctrl-names = "default";
>>>> +	pinctrl-0 = <&pinctrl_hog>;
>>>> +
>>>> +	imx6q-ba16 {
>>>
>>> With commit 5fcdf6a7ed95 (pinctrl: imx: Allow parsing DT without function
>>> nodes) in place, we can get rid of this container node to save one level
>>> of indentation.
>>>
>>
>> If i remove the imx6q-ba16 container node, then I get multiple
>> errors during boot.
>>
>> [    2.043594] imx6q-pinctrl 20e0000.iomuxc: unable to find group
>> for node ecspi1grp
>> .....
>> [    2.467403] imx6q-pinctrl 20e0000.iomuxc: unable to find group
>> for node usbotggrp
>> [    2.482394] imx6q-pinctrl 20e0000.iomuxc: unable to find group
>> for node usbhubgrp
>> .....
>> [    2.640509] imx6q-pinctrl 20e0000.iomuxc: unable to find group
>> for node usdhc2grp
>> [    2.640889] imx6q-pinctrl 20e0000.iomuxc: unable to find group
>> for node usdhc2grp
>> [    2.640986] sdhci-esdhc-imx: probe of 2194000.usdhc failed with error -22
>> [    2.641048] imx6q-pinctrl 20e0000.iomuxc: unable to find group
>> for node usdhc3grp
>> [    2.641301] imx6q-pinctrl 20e0000.iomuxc: unable to find group
>> for node usdhc3grp
>> [    2.641385] sdhci-esdhc-imx: probe of 2198000.usdhc failed with error -22
>> [    2.641446] imx6q-pinctrl 20e0000.iomuxc: unable to find group
>> for node usdhc4grp
>> [    2.641688] imx6q-pinctrl 20e0000.iomuxc: unable to find group
>> for node usdhc4grp
>> [    2.641770] sdhci-esdhc-imx: probe of 219c000.usdhc failed with error -22
>
> Sorry.  I just found that to get this work on imx6q board we need to
> clean up the ipu2/ipu2grp-1 group from imx6q.dtsi.  I just send a patch
> doing that with you on copy.  Let me know if it works for you with that
> change.
>
> Shawn
>
Thanks Shawn, I applied the patch you sent and it fixed the above issue. 
Also I have addressed all the comments and re-submitted the patches.

http://lists.infradead.org/pipermail/linux-arm-kernel/2015-December/396131.html